# Class validation_category_impl

- Defined in File validate.hpp

## Inheritance Relationships

### Base Type

- `public std::error_category`

## Class Documentation

class validation_category_impl : public std::error_category

  The implementation for validation_category error messages.

  Public Functions

  inline const char *name() const noexcept override

    User friendly name.

    Returns:

      const char*

  inline std::string message(int ev) const override

    Provide the error message as a string for the error code ev.

    Parameters:

      ev – The error code

    Returns:

      std::string

  inline bool equivalent(const std::error_code&, int) const noexcept override

    Return whether two error codes are equivalent, always false in this case.